package model

type Player struct {
	AlternativePlayer string                   `json:"alternative_player"`
	Host              string                   `json:"host"`
	IsRutube          bool                     `json:"is_rutube"`
	Episodes          Episodes                 `json:"episodes"`
	List              map[string]playerEpisode `json:"list"`
	Rutube            map[string]rutubeEpisod  `json:"rutube"`
}

type playerEpisode struct {
	Episode          int         `json:"episode"`
	Name             string      `json:"name"`
	UUID             string      `json:"uuid"`
	CreatedTimestamp int         `json:"created_timestamp"`
	Preview          string      `json:"preview"`
	Skips            playerSkips `json:"skips"`
	Hls              playerHls   `json:"hls"`
}

type playerSkips struct {
	Opening []any `json:"opening"`
	Ending  []any `json:"ending"`
}

type playerHls struct {
	Fhd string `json:"fhd"`
	Hd  string `json:"hd"`
	Sd  string `json:"sd"`
}

type rutubeEpisod struct {
	Episode          int    `json:"episode"`
	CreatedTimestamp int    `json:"created_timestamp"`
	RutubeID         string `json:"rutube_id"`
}
