package model

type Title struct {
	ID          int           `json:"id"`
	Code        string        `json:"code"`
	Names       titleNames    `json:"names"`
	Franchises  []any         `json:"franchises"`
	Announce    any           `json:"announce"`
	Status      titleStatus   `json:"status"`
	Posters     titlePosters  `json:"posters"`
	Updated     int           `json:"updated"`
	LastChange  int           `json:"last_change"`
	Type        titleType     `json:"type"`
	Genres      []string      `json:"genres"`
	Team        Team          `json:"team"`
	Season      titleSeason   `json:"season"`
	Description string        `json:"description"`
	InFavorites int           `json:"in_favorites"`
	Blocked     titleBlocked  `json:"blocked"`
	Player      Player        `json:"player"`
	Torrents    titleTorrents `json:"torrents"`
}

type titleNames struct {
	Ru          string `json:"ru,omitempty"`
	En          string `json:"en,omitempty"`
	Alternative string `json:"alternative,omitempty"`
}

type titleStatus struct {
	String string `json:"string"`
	Code   int    `json:"code"`
}

type titlePoster struct {
	URL           string `json:"url"`
	RawBase64File any    `json:"raw_base64_file"`
}

type titlePosters struct {
	Small    titlePoster `json:"small"`
	Medium   titlePoster `json:"medium"`
	Original titlePoster `json:"original"`
}

type titleType struct {
	FullString string `json:"full_string"`
	Code       int    `json:"code"`
	String     string `json:"string"`
	Episodes   int    `json:"episodes"`
	Length     int    `json:"length"`
}

type titleSeason struct {
	String  string `json:"string"`
	Code    int    `json:"code"`
	Year    int    `json:"year"`
	WeekDay int    `json:"week_day"`
}

type titleBlocked struct {
	Blocked bool `json:"blocked"`
	Bakanim bool `json:"bakanim"`
}

type titleTorrents struct {
	Episodes Episodes  `json:"episodes"`
	List     []Torrent `json:"list"`
}
